/* Program for the Smart Environment end project.
  The program waits on 'a' through the serial port and turns a red LED and a buzzer on then*/

int LedPin = 13; //set LedPin to port 13
const int buzzer = 9; //buzzer to arduino pin 9


void setup() {
  Serial.begin(9600);
  pinMode(LedPin , OUTPUT); //sets LedPin to an output
}

void loop() {


  delay(1000);
  if (Serial.available() > 0) { //checking if serial data is there

    if (Serial.read() == 'a') { //when 'a' being read in the serial port
      tone(buzzer, 1000); // Send 1KHz sound signal...
      digitalWrite(LedPin, HIGH); //turns LED on
      delay(1000); //wait 1000 ms
      digitalWrite(LedPin, LOW); //turns LED off
      noTone(buzzer);     // Stop sound...
      delay(1000); //wait 1000 ms
    }
  } // end checking if serial data is there

}
